# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "safe-bigmath"
version = "0.2.0"
authors = ["sam0x17"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Provides non-overflowing, non-panicking numeric types as well as safe big integer and decimal that can scale to any size safely and gracefully, only wasting memory when extra precision is needed"
documentation = "https://docs.rs/safe-bigmath"
readme = "README.md"
keywords = [
    "biginteger",
    "decimal",
    "bigmath",
    "safe",
    "math",
]
license = "MIT"
repository = "https://github.com/sam0x17/safe-bigmath"

[features]
default = []
std = [
    "num-bigint/std",
    "num-traits/std",
    "num-integer/std",
]

[lib]
name = "safe_bigmath"
path = "src/lib.rs"

[dependencies.crabtime]
version = "1"

[dependencies.num-bigint]
version = "0.4"
default-features = false

[dependencies.num-integer]
version = "0.1"
default-features = false

[dependencies.num-traits]
version = "0.2"
default-features = false

[dependencies.quoth]
version = "0.2"
